Subject: [bug#52717] Add watchdogd

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 26 Dec 2021 12:47:47 +0100

Hello,

> I want to point out that search-input-file does not do the same thing as
> (assoc-ref inputs "foo").
>
> We should consider search-input-file as a replacement for the WHICH
> procedure, and use gexps like #$foo to replace (assoc-ref inputs "foo").

Using #$foo could be problematic when using package inheritance, as
explained by Ludo in the recent blog article.

This leaves us with #$(this-package-input foo) and "search-input-file"
as alternatives. Maybe we should promote the first one, but I see that
you have rightfully started a thread about that.

Thanks,

Mathieu